﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class Default6 : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        var members = Member.GetMemberList();

        var adultmember = members.Where(m => m.Age > 19);

        GridView1.DataSource = adultmember;
        GridView1.DataBind();
    }
    protected void Button1_Click(object sender, EventArgs e)
    {
        var members = Member.GetMemberList();

        List<string> memberlist = new List<string>();
        foreach (var item in members)
        {
            if(item.Age > 19)
            {
                memberlist.Add(
                    string.Format("{0},{1},{2},{3},{4},{5}",
                        item.ID.ToString(),
                        item.Name,
                        item.Age.ToString(),
                        item.Gender,
                        item.Mail,
                        item.RegistDay.ToString("yyyy/MM/dd")));
            }
                
        }
        string returncsv = string.Join("\r\n", memberlist);

        Response.AppendHeader("Content-Disposition", "attachmemt; filename=data.csv");
        Response.ContentType = "text/comma-separated-values";
        Response.Write(returncsv);
        Response.End();
    }
}