﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class Default7 : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        var members = Member.GetMemberList();

        var adultmember = members.Where(m => m.Age > 19);

        GridView1.DataSource = adultmember;
        GridView1.DataBind();
    }
    protected void Button1_Click(object sender, EventArgs e)
    {
        var members = Member.GetMemberList();

        string returncsv = 
            string.Join("\r\n",
                members.Where(m => m.Age > 19)
                       .Select(m =>
                         string.Format("{0},{1},{2},{3},{4},{5}",
                           m.ID.ToString(),
                           m.Name,
                           m.Age.ToString(),
                           m.Gender,
                           m.Mail,
                           m.RegistDay.ToString("yyyy/MM/dd")))
            );

        Response.AppendHeader("Content-Disposition", "attachmemt; filename=data.csv");
        Response.ContentType = "text/comma-separated-values";
        Response.Write(returncsv);
        Response.End();
    }
}