﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using SampleModel;

public partial class Default8 : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        using (var context = new SampleEntities())
        {
            var memberlist = context.members;

            GridView1.DataSource = memberlist;
            GridView1.DataBind();
        }
    }
    protected void Button1_Click(object sender, EventArgs e)
    {
        using (var context = new SampleEntities())
        {
            IQueryable<members> memberquery = context.members;
            
            if (CheckBox1.Checked) memberquery = memberquery.Where(m => m.Age > 19);
            if (CheckBox2.Checked) memberquery = memberquery.Where(m => m.Gender == "男性");
            if (CheckBox3.Checked) memberquery = memberquery.Where(m => m.Mail != "");

            GridView1.DataSource = memberquery;
            GridView1.DataBind();
        }

    }
}