﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

/// <summary>
/// Member の概要の説明です
/// </summary>
public class Member
{
    public int ID { get; set; }
    public string Name { get; set; }
    public int Age { get; set; }
    public string Gender { get; set; }
    public string Mail { get; set; }
    public DateTime RegistDay { get; set; }

    static public List<Member> GetMemberList()
    {
        return new List<Member>()
        {
            new Member() { ID = 1, Name = "user1", Age = 23, Gender = "男性", Mail = "", RegistDay = new DateTime(2005, 6,7) },
            new Member() { ID = 2, Name = "user2", Age = 18, Gender = "男性", Mail = "", RegistDay = new DateTime(2006, 12,3) },
            new Member() { ID = 3, Name = "user3", Age = 34, Gender = "女性", Mail = "user3@test.local", RegistDay = new DateTime(2008, 3,21) },
            new Member() { ID = 4, Name = "user4", Age = 41, Gender = "男性", Mail = "user4@test.local", RegistDay = new DateTime(2008, 3,21) },
            new Member() { ID = 5, Name = "user5", Age = 19, Gender = "男性", Mail = "", RegistDay = new DateTime(2009, 10,3) },
            new Member() { ID = 6, Name = "user6", Age = 19, Gender = "女性", Mail = "user6@test.local", RegistDay = new DateTime(2009, 11,30) },
            new Member() { ID = 7, Name = "user7", Age = 27, Gender = "男性", Mail = "user7@test.local", RegistDay = new DateTime(2010, 1,7) },
            new Member() { ID = 8, Name = "user8", Age = 46, Gender = "女性", Mail = "user8@test.local", RegistDay = new DateTime(2010, 3,8) },
            new Member() { ID = 9, Name = "user9", Age = 53, Gender = "女性", Mail = "user9@test.local", RegistDay = new DateTime(2010, 9,27) },
            new Member() { ID = 10, Name = "user10", Age = 18, Gender = "女性", Mail = "user10@test.local", RegistDay = new DateTime(2010, 12,4) }
        };
    }
}